import pytest
import saveweb_tracker
import saveweb_tracker.tracker

@pytest.mark.asyncio
async def test_tracker():
    async with saveweb_tracker.tracker.Tracker("test", "1.0", "test-python") as tracker:
        task = await tracker.claim_task_async(with_delay=False)
        print(task)
        assert task is not None
        text = await tracker.update_task_async(task_id=task.id, status="DONE")
        print(text)
        text = await tracker.insert_item_async(
            item_id=task.id, item_status=None, payload={
                "kjasd": "111111111122222111111111122222111111111122222111111111122222111111111122222111111111122222111111111122222111111111122222",
            }
        )
        print(text)